[oe-commits] org.oe.dev add freesmartphone frameworkd git

mickeyl commit oe at amethyst.openembedded.net
Sat Jun 21 22:45:27 UTC 2008


add freesmartphone frameworkd git

Author: mickeyl at openembedded.org
Branch: org.openembedded.dev
Revision: 82476090a45da2310bf2b2ab5fa3bd082fe5c003
ViewMTN: http://monotone.openembedded.org/revision/info/82476090a45da2310bf2b2ab5fa3bd082fe5c003
Files:
1
packages/freesmartphone/frameworkd
packages/freesmartphone/frameworkd/om-gta02
packages/freesmartphone/frameworkd/frameworkd
packages/freesmartphone/frameworkd/frameworkd.conf
packages/freesmartphone/frameworkd/om-gta02/frameworkd.conf
packages/freesmartphone/frameworkd_git.bb
conf/distro/include/fso-autorev.inc
Diffs:

#
# mt diff -rb5e3f7d1678c913218ecbd517889c32c1b082fd2 -r82476090a45da2310bf2b2ab5fa3bd082fe5c003
#
#
#
# add_dir "packages/freesmartphone/frameworkd"
# 
# add_dir "packages/freesmartphone/frameworkd/om-gta02"
# 
# add_file "packages/freesmartphone/frameworkd/frameworkd"
#  content [f1cbedf0f6d51a7bb5f05cef6a71e28531f064db]
# 
# add_file "packages/freesmartphone/frameworkd/frameworkd.conf"
#  content [da39a3ee5e6b4b0d3255bfef95601890afd80709]
# 
# add_file "packages/freesmartphone/frameworkd/om-gta02/frameworkd.conf"
#  content [658db2f7fe7fe3928fc05e76a952a169b2bc9c64]
# 
# add_file "packages/freesmartphone/frameworkd_git.bb"
#  content [bf243f9340ade510c77ae6438ab331a53e498bfb]
# 
# patch "conf/distro/include/fso-autorev.inc"
#  from [e1b0456452cc19ca7b0be9d08342f5254aeb8618]
#    to [d5c69660919c5a3424379a0705eeaa21c0220e0e]
#
============================================================
--- packages/freesmartphone/frameworkd/frameworkd	f1cbedf0f6d51a7bb5f05cef6a71e28531f064db
+++ packages/freesmartphone/frameworkd/frameworkd	f1cbedf0f6d51a7bb5f05cef6a71e28531f064db
@@ -0,0 +1,40 @@
+#! /bin/sh
+#
+# frameworkd -- This shell script starts and stops the freemsmartphone.org framework daemon.
+#
+# chkconfig: 345 90 20
+# description: frameworkd is the freesmartphone.org framework daemon
+# processname: python
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+NAME=frameworkd
+
+[ -f /etc/default/rcS ] && . /etc/default/rcS
+
+case "$1" in
+    start)
+        echo -n "Starting freesmartphone.org framework daemon: "
+        start-stop-daemon --start --pidfile /var/run/${NAME}.pid --make-pidfile --background -x /usr/bin/frameworkd
+        if [ $? = 0 ]; then
+            echo "(ok)"
+        else
+            echo "(failed)"
+        fi
+        ;;
+    stop)
+        echo -n "Stopping freesmartphone.org framework daemon: "
+        start-stop-daemon --stop --pidfile /var/run/${NAME}.pid --oknodo
+        rm -f /var/run/${NAME}.pid
+        echo "(done)"
+        ;;
+    restart|force-reload)
+        $0 stop
+        $0 start
+        ;;
+    *)
+        echo "Usage: /etc/init.d/odeviced {start|stop|restart|force-reload}"
+        exit 1
+        ;;
+esac
+
+exit 0
============================================================
--- packages/freesmartphone/frameworkd/frameworkd.conf	da39a3ee5e6b4b0d3255bfef95601890afd80709
+++ packages/freesmartphone/frameworkd/frameworkd.conf	da39a3ee5e6b4b0d3255bfef95601890afd80709
============================================================
--- packages/freesmartphone/frameworkd/om-gta02/frameworkd.conf	658db2f7fe7fe3928fc05e76a952a169b2bc9c64
+++ packages/freesmartphone/frameworkd/om-gta02/frameworkd.conf	658db2f7fe7fe3928fc05e76a952a169b2bc9c64
@@ -0,0 +1,8 @@
+[idlenotifier]
+# don't read from accellerometers for now
+ignoreinput=2,3
+
+[input]
+# don't read from accellerometers for now
+ignoreinput=2,3
+
============================================================
--- packages/freesmartphone/frameworkd_git.bb	bf243f9340ade510c77ae6438ab331a53e498bfb
+++ packages/freesmartphone/frameworkd_git.bb	bf243f9340ade510c77ae6438ab331a53e498bfb
@@ -0,0 +1,37 @@
+DESCRIPTION = "The freesmartphon.org Framework Daemon"
+HOMEPAGE = "http://www.freesmartphone.org"
+AUTHOR = "Michael 'Mickey' Lauer <mlauer at vanille-media.de>"
+SECTION = "console/network"
+DEPENDS = "python-cython-native python-pyrex-native"
+LICENSE = "GPL"
+PV = "0.8.0+gitr${SRCREV}"
+PR = "r0"
+
+inherit distutils update-rc.d
+
+INITSCRIPT_NAME = "frameworkd"
+INITSCRIPT_PARAMS = "defaults 29"
+
+SRC_URI = "${FREESMARTPHONE_GIT}/framework.git;protocol=git;branch=master \
+           file://frameworkd \
+           file://frameworkd.conf"
+S = "${WORKDIR}/git"
+
+do_install_append() {
+	install -d ${D}${sysconfdir}/init.d/
+	install -m 0755 ${WORKDIR}/frameworkd ${D}${sysconfdir}/init.d/
+	install -m 0644 ${WORKDIR}/frameworkd.conf ${D}${sysconfdir}
+	install -d ${D}${sysconfdir}/dbus-1/system.d/
+	mv -f ${D}${datadir}/etc/dbus-1/system.d/frameworkd.conf ${D}${sysconfdir}/dbus-1/system.d/
+}
+
+RDEPENDS_${PN} += "\
+  python-dbus \
+  python-pygobject \
+  python-pyrtc \
+  python-pyserial \
+  python-syslog \
+"
+
+FILES_${PN} += "${sysconfdir}"
+FILES_${PN}-dbg += "${libdir}/${PYTHON_DIR}/site-packages/framework/subsystems/*/.debug"
============================================================
--- conf/distro/include/fso-autorev.inc	e1b0456452cc19ca7b0be9d08342f5254aeb8618
+++ conf/distro/include/fso-autorev.inc	d5c69660919c5a3424379a0705eeaa21c0220e0e
@@ -1,3 +1,4 @@
+SRCREV_pn-frameworkd = "${AUTOREV}"
 SRCREV_pn-gsm0710muxd = "${AUTOREV}"
 SRCREV_pn-gsmd2 = "${AUTOREV}"
 SRCREV_pn-pygsm = "${AUTOREV}"






More information about the Openembedded-commits mailing list